[quagga-dev 8878] LSA checksum error on quagga 0.99.17

Jaroslav Fojtik jafojtik at seznam.cz
Fri Sep 30 08:32:49 BST 2011


Dears,

time to time I am receiving tons (hundreds megabytes up to gigabytes) of these messages. 
I have quagga 0.99.17 (same problem observed on 0.99.16). Linux kernel is Linux 2.6.39.4.
but a same problem occurs on 2.6.32.11.

This message is completely stupid, when repeated 100 times per second (or faster).
It is absolutelly impossible to identify a source of wrong LSA checksum packets.

2011/09/29 02:05:59 warnings: OSPF: Link State Update: LSA checksum error d9d4, dad2.
2011/09/29 02:05:59 warnings: OSPF: Link State Update: LSA checksum error d9d4, dad2.
2011/09/29 02:05:59 warnings: OSPF: Link State Update: LSA checksum error d9d4, dad2.
2011/09/29 02:05:59 warnings: OSPF: Link State Update: LSA checksum error d9d4, dad2.
2011/09/29 02:05:59 warnings: OSPF: Link State Update: LSA checksum error d9d4, dad2.
2011/09/29 02:05:59 warnings: OSPF: Link State Update: LSA checksum error d9d4, dad2.
2011/09/29 02:05:59 warnings: OSPF: Link State Update: LSA checksum error d9d4, dad2.
2011/09/29 02:05:59 warnings: OSPF: Link State Update: LSA checksum error d9d4, dad2.
2011/09/29 02:05:59 warnings: OSPF: Link State Update: LSA checksum error d9d4, dad2.
2011/09/29 02:05:59 warnings: OSPF: Link State Update: LSA checksum error d9d4, dad2.
2011/09/29 02:05:59 warnings: OSPF: Link State Update: LSA checksum error d9d4, dad2.

best regards
  J.Fojtik

On 14 Sep 2011 at 7:37, Denis Ovsienko wrote:

> >>  My GCCs produce no warnings for lib/command.c, is this the right patch for the problem?
> >
> > Do you have gcc 4.6?
> 
> No, I don't. Yet. Let me upgrade and update.
> 
> -- 
>     Denis Ovsienko
> _______________________________________________
> Quagga-dev mailing list
> Quagga-dev at lists.quagga.net
> http://lists.quagga.net/mailman/listinfo/quagga-dev





More information about the Quagga-dev mailing list